package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolQueryitemsRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolQueryitemsRequest) SetParam(v domain.AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery) *AlibabaWdkMarketingItempoolQueryitemsRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolQueryitemsRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolQueryitemsRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
